# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**BatTracking**](BatTrackingApi.md#BatTracking) | **Get** /api/v1/batTracking/game/{gamePk}/{playId} | View Bat Tracking Data by playId and gameId

# **BatTracking**
> BatTrackingRestObject BatTracking(ctx, gamePk, playId, optional)
View Bat Tracking Data by playId and gameId

This endpoint allows you to pull bat tracking data by gameId and playId

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
  **playId** | **string**| Unique play identifier | 
 **optional** | ***BatTrackingApiBatTrackingOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a BatTrackingApiBatTrackingOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**BatTrackingRestObject**](BatTrackingRestObject.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

